"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _helpers = require("../_helpers");

var _default = ({
  element,
  action = 'equal',
  mutationResult,
  ID,
  queryName,
  errors
}) => {
  const typeOfElementItems = (0, _helpers.getTypeOfElementItems)({
    element,
    ID,
    queryName,
    errors,
    mutationResult
  });
  return element.filter(e => {
    switch (typeOfElementItems) {
      case 'string' || 'number':
        if (action === 'not-equal') return e !== mutationResult;
        return e === mutationResult;

      case 'object':
        if (action === 'not-equal') return e[ID] !== mutationResult[ID];
        return e[ID] === mutationResult[ID];

      default:
        return true;
    }
  });
};

exports.default = _default;
//# sourceMappingURL=_filter-element.js.map